#include <bits/stdc++.h>

using namespace std;
int pronadji(string s, int i){
string a="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
for(int p=0;p<26;p++)
    if(a[p]==s[i])
    return p;
}
int main()
{   long long n,next[27];
    cin>>n;
    string s,a;
    cin>>s;
    int g=0;
    a="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    if(n<26)
    {
        s+=a;
        n+=26;
    }
    int k=0;
    int l=0;
    while(k<26)
    {
        if(a[k]==s[l])
        {
        next[k]=l;
        k++;
        }
        l++;
    }

    long long p,suma;
    suma=1;
    next[26]=n;
    int resenje;
    for(long long i=0;i<26;i++)
    {
        p=0;
        for(long long j=next[i];j<next[i+1];j++)
        {
         if(a[i]==s[j])
         p++;
        }
        suma*=p;
        resenje=suma%1000000007;
    }
    cout<<resenje;
    return 0;
}